
%?mingw_package_header

%global mingw_build_win32 1
%global mingw_build_win64 1

Name:           mingw-termcap
Version:        1.3.1
Release:    1%{?dist}
Summary:        MinGW terminal feature database

License:        GPLv2+
URL:            ftp://ftp.gnu.org/gnu/termcap/
Source0:        ftp://ftp.gnu.org/gnu/termcap/termcap-%{version}.tar.gz

BuildArch:      noarch

BuildRequires: make
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils

BuildRequires:  autoconf


%description
This is the GNU termcap library -- a library of C functions that
enable programs to send control strings to terminals in a way
independent of the terminal type.  The GNU termcap library does not
place an arbitrary limit on the size of termcap entries, unlike most
other termcap libraries.

This package contains libraries and development tools for the MinGW
cross-compiled version.


%package -n mingw32-termcap
Summary:        MinGW terminal feature database

%description -n mingw32-termcap
This is the GNU termcap library -- a library of C functions that
enable programs to send control strings to terminals in a way
independent of the terminal type.  The GNU termcap library does not
place an arbitrary limit on the size of termcap entries, unlike most
other termcap libraries.

This package contains libraries and development tools for the MinGW
cross-compiled version.

%package -n mingw32-termcap-static
Summary:        Static version of the cross compiled termcap library
Requires:       mingw32-termcap = %{version}-%{release}

%description -n mingw32-termcap-static
Static version of the cross compiled termcap library.

%package -n mingw64-termcap
Summary:        MinGW terminal feature database

%description -n mingw64-termcap
This is the GNU termcap library -- a library of C functions that
enable programs to send control strings to terminals in a way
independent of the terminal type.  The GNU termcap library does not
place an arbitrary limit on the size of termcap entries, unlike most
other termcap libraries.

This package contains libraries and development tools for the MinGW
cross-compiled version.

%package -n mingw64-termcap-static
Summary:        Static version of the cross compiled termcap library
Requires:       mingw64-termcap = %{version}-%{release}

%description -n mingw64-termcap-static
Static version of the cross compiled termcap library.


%?mingw_debug_package


%prep
%setup -q -n termcap-%{version}

autoconf


%build
%mingw_configure
%mingw_make %{?_smp_mflags}

pushd build_win32
%{mingw32_cc} -shared \
  -Wl,--out-implib,libtermcap.dll.a \
  -o libtermcap-0.dll \
  termcap.o tparam.o version.o
popd
pushd build_win64
%{mingw64_cc} -shared \
  -Wl,--out-implib,libtermcap.dll.a \
  -o libtermcap-0.dll \
  termcap.o tparam.o version.o
popd


%install
make install -C build_win32 \
  prefix=%{buildroot}%{mingw32_prefix} \
  exec_prefix=%{buildroot}%{mingw32_prefix} \
  oldincludedir=
make install -C build_win64 \
  prefix=%{buildroot}%{mingw64_prefix} \
  exec_prefix=%{buildroot}%{mingw64_prefix} \
  oldincludedir=

mkdir -p %{buildroot}%{mingw32_bindir}
install -m 0755 build_win32/libtermcap-0.dll %{buildroot}%{mingw32_bindir}
install -m 0755 build_win32/libtermcap.dll.a %{buildroot}%{mingw32_libdir}

mkdir -p %{buildroot}%{mingw64_bindir}
install -m 0755 build_win64/libtermcap-0.dll %{buildroot}%{mingw64_bindir}
install -m 0755 build_win64/libtermcap.dll.a %{buildroot}%{mingw64_libdir}

mkdir -p %{buildroot}%{mingw32_infodir}
mv %{buildroot}%{mingw32_prefix}/info/* %{buildroot}%{mingw32_infodir}

mkdir -p %{buildroot}%{mingw64_infodir}
mv %{buildroot}%{mingw64_prefix}/info/* %{buildroot}%{mingw64_infodir}



%files -n mingw32-termcap
%doc COPYING
%{mingw32_bindir}/libtermcap-0.dll
%{mingw32_libdir}/libtermcap.dll.a
%{mingw32_includedir}/termcap.h
%{mingw32_infodir}/*

%files -n mingw32-termcap-static
%{mingw32_libdir}/libtermcap.a

%files -n mingw64-termcap
%doc COPYING
%{mingw64_bindir}/libtermcap-0.dll
%{mingw64_libdir}/libtermcap.dll.a
%{mingw64_includedir}/termcap.h
%{mingw64_infodir}/*

%files -n mingw64-termcap-static
%{mingw64_libdir}/libtermcap.a


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-1
- initial build
